<template>
  <div class="solidwaste-search" v-if="judgeVisible">
    <div class="search-title">
      <span>废气</span>
      <!--      <span>{{ title }}</span>-->
    </div>
    <div class="search-panel ">
      <el-form ref="form" :model="form" label-width="90px" class="search-form">
        <el-form-item v-for="(item,index) in solidWasteTypeOptions" :key="index" :label="item.label+'：'" size="mini"
                      class="search-panel-item">
          <el-select style="width: 100%" v-model="form.pipelineType" @change="handlePipelineType"
                     :popper-class="'select-down'">
            <el-option
                v-for="item in solidWasteTypeOptions"
                :key="item.value"
                :label="item.label"
                :value="item.value">
            </el-option>
          </el-select>
        </el-form-item>
        <el-input v-model="form.keyword" size="mini" placeholder="在此输入关键字搜索">
          <i slot="suffix" class="search-btn el-input__icon el-icon-search" @click="handleSearch"></i>
        </el-input>
        <div class="search-radio">
          <el-radio v-model="radio" label="1">全部</el-radio>
          <el-radio v-model="radio" label="2">正常</el-radio>
          <el-radio v-model="radio" label="3">超标</el-radio>
          <el-radio v-model="radio" label="4">异常</el-radio>
          <el-radio v-model="radio" label="5">停产</el-radio>
        </div>
      </el-form>
      <div>
        <el-card class="box-card" v-for="(item,index) in searchDataDisplay" :key="index">
          <div v-if="total > 3">
            {{ item.CompanyName }}
          </div>
        </el-card>
<!--        <el-pagination-->
<!--            small-->
<!--            layout="prev, pager, next"-->
<!--            :total=total-->
<!--            :current-page=1-->
<!--            class="warnPagination"-->
<!--        >-->
<!--        </el-pagination>-->
      </div>
      <!--      <el-scrollbar style="height:100%">-->
      <!--      <el-card class="footer-page">-->
      <!--        <ul>-->
      <!--          {{ searchDataDisplay }}-->
      <!--          <li v-for="(item,index) in searchDataDisplay" :key="index">-->
      <!--            {{ item.CompanyName }}-->
      <!--          </li>-->
      <!--        </ul>-->
      <!--      </el-card>-->
      <!--          <el-pagination-->
      <!--              small-->
      <!--              @current-change="handlePage"-->
      <!--              :page-size=pageSize-->
      <!--              layout="prev, pager, next"-->
      <!--              :total=total-->
      <!--              :current-page=current-->
      <!--              class="warnPagination"-->
      <!--          >-->
      <!--          </el-pagination>-->
      <!--      </el-card>-->
      <!--      </el-scrollbar>-->
    </div>
  </div>
</template>

<script>

import mapApi from '@/api/mapApi'

export default {
  name: 'SolidWasteSearch',
  props: ['title'],
  data () {
    return {
      judgeVisible: true,
      solidWasteTypeOptions: [{
        value: '1',
        label: '区域',
        options: [{
          value: '1',
          layerName: '固废',
          key: 'pipename',
          label: '全部固废'
        }],
        labelList: [{
          label: '输送介质',
          key: 'mediumtype'
        }, {
          label: '长度(m)',
          key: 'length'
        }]
      }, {
        value: '2',
        label: '企业名称',
        options: [{
          value: '1',
          layerName: '固废',
          key: 'pipename',
          label: '全部固废'
        }],
        labelList: [{
          label: '输送介质',
          key: 'mediumtype'
        }, {
          label: '长度(m)',
          key: 'length'
        }]
      }, {
        value: '3',
        label: '二级单位',
        options: [{
          value: '1',
          layerName: '固废',
          key: 'pipename',
          label: '全部固废'
        }],
        labelList: [{
          label: '输送介质',
          key: 'mediumtype'
        }, {
          label: '长度(m)',
          key: 'length'
        }]
      }, {
        value: '4',
        label: '企业名称',
        options: [{
          value: '1',
          layerName: '固废',
          key: 'pipename',
          label: '全部固废'
        }],
        labelList: [{
          label: '输送介质',
          key: 'mediumtype'
        }, {
          label: '长度(m)',
          key: 'length'
        }]
      }],
      radio: '1',
      form: {
        keyword: '输入关键字'
      },
      searchDataDisplay: [],
      total: 0
    }
  },
  methods: {
    handlePipelineType (val) {
      this.solidWasteTypeOptions.forEach((itm) => {
        if (val === itm.value) {
          this.dataTypeOptions = itm.options
          this.form.pipelineType = itm.label
          this.form.labelList = itm.labelList
        }
      })
      this.form.dataType = this.dataTypeOptions[0].label
      this.form.key = this.dataTypeOptions[0].key
    },
    // 点击搜索实现数据的搜索展示
    async handleSearch () {
      // console.log(this.form.keyword)
      const result = await mapApi.getWasteGas()
      console.log(result)
      this.searchDataDisplay = result.Result.DataInfo
      this.total = result.Result.DataInfo.length
    },
    handleLocation (val) {
      // console.log(val)
      const bound = this.L.geoJSON([val], {}).getBounds()
      var layer = window.serviceLayerHelper.getByLayerId(val.id)
      layer && layer.openPopup()
      this.$store.state.map.map.flyToBounds(bound)
    }
  }
}
</script>

<style lang="less" scoped>

.solidwaste-search {
  position: relative;
  overflow: hidden;
  //background-color: #365e60;

  .search-panel {
    background-color: transparent;
    border: 1px solid @background-color-split;
    padding: 10px;

    /deep/ input {
      border-radius: 0;
      background-color: @background-color-split;
      border: solid 1px @color;
      color: @color-gray;
      font-size: 0.01rem;

      .el-select .el-input.is-focus .el-input__inner {
        border-color: @color;
        margin-top: 13px;
      }
    }

    /deep/ input:focus {
      border-color: @color;
    }
  }

  .search-btn {

  }

  /deep/.search-radio {
    margin: 6px 0;
    display: flex;
    flex-wrap: wrap;
    //justify-content: flex-end;
    //align-content: space-between;
    .el-radio {
      color: #ffffff!important;
      line-height: 2;
      .el-radio__label{
        padding-left: 0px;
      }
    }
  }

  .location-btn:hover, .el-input__icon:hover {
    color: @color;
    cursor: pointer;
  }

  .box-card {
    margin: 15px auto;
  }
}
</style>
